Subject: Re: ICMP packets - ll_temac with Microblaze

From: Michael Wang <[email-masked]>
Date: Thu, 22 Dec 2011 21:42:02 +0800

On 12/22/2011 09:21 PM, Eric Dumazet wrote:

> Le jeudi 22 décembre 2011 à 21:01 +0800, Michael Wang a écrit :
> 
>> Hi, Eric
>>
>> So do you mean the way is:
>>
>> ip_local_deliver_finish --> raw_local_deliver --> raw_v4_input -->
>> raw_rcv --> raw_rcv_skb --> sock_queue_rcv_skb
>>
>> And in sock_queue_rcv_skb:
>>
>>         if (atomic_read(&sk->sk_rmem_alloc) + skb->truesize >=
>>             (unsigned)sk->sk_rcvbuf) {
>>                 atomic_inc(&sk->sk_drops);
>>                 trace_sock_rcvqueue_full(sk, skb);
>>                 return -ENOMEM;				//drop?
>>         }
>>
>> Is this the way the packet being dropped? Is this confirmed by some printk?
>>
>> Sorry if the question is naive, I just want to make sure I am checking
>> at the right place.
>>
> 
> Yep
> 
> Are you aware I already posted a patch to solve the problem ?
> 
> http://patchwork.ozlabs.org/patch/132698/
> 

Oh, sorry, I don't know about that, congratulation :)

Regards,
Michael Wang